summaryrefslogtreecommitdiffstats
path: root/kubernetes/config
diff options
context:
space:
mode:
authorAlexis de Talhouƫt <alexis.de_talhouet@bell.ca>2018-01-09 13:41:16 +0000
committerGerrit Code Review <gerrit@onap.org>2018-01-09 13:41:16 +0000
commit9f562b4564f1fda5e5d118a96111a5b9e9a2fcd2 (patch)
tree1133dd35bae5e9c558573b4b16270476eadd6374 /kubernetes/config
parente021b3f5031ed918273b6f2cf56dc0f579080dec (diff)
parent5b799cde192686da385d595eddbd8c18cc8362d8 (diff)
Merge "SDNC DB Host Health Check using consul"
Diffstat (limited to 'kubernetes/config')
-rwxr-xr-xkubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh13
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json14
2 files changed, 27 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh
new file mode 100755
index 0000000000..6bb07f80eb
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh
@@ -0,0 +1,13 @@
+SDNC_DBHOST_POD=$(/consul/config/bin/kubectl -n onap-sdnc get pod | grep -o "sdnc-dbhost-[^[:space:]]*")
+if [ -n "$SDNC_DBHOST_POD" ]; then
+ if /consul/config/bin/kubectl -n onap-sdnc exec -it $SDNC_DBHOST_POD -- ./healthcheck.sh |grep -i "mysqld is alive"; then
+ echo Success. SDNC DBHost is running. 2>&1
+ exit 0
+ else
+ echo Failed. SDNC DBHost is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. SDNC DBHost is offline. 2>&1
+ exit 1
+fi
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json
new file mode 100644
index 0000000000..28d711b72f
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json
@@ -0,0 +1,14 @@
+{
+ "service": {
+ "name": "Health Check: SDNC - DB Host",
+ "checks": [
+ {
+ "id": "sdnc-dbhost-healthcheck",
+ "name": "SDNC DBHOST Health Check",
+ "script": "/consul/config/scripts/sdnc-dbhost-script.sh",
+ "interval": "10s",
+ "timeout": "1s"
+ }
+ ]
+ }
+}